<template>
  <div v-if="count">
    <nuxt-link v-if="isRedirect" to="/messages">
      <div class="message-count ol-bg-light-2" :class="{ isUnread }">
        <span class="whitespace-nowrap !ml-0">{{ count }}</span>
      </div>
    </nuxt-link>
    <div v-else class="message-count ol-bg-light-2" :class="{ isUnread }">
      <span class="whitespace-nowrap !ml-0">{{ count }}</span>
    </div>
  </div>
</template>

<script setup lang="ts">
defineProps<{
  count: number;
  isUnread?: boolean;
  isRedirect: boolean;
}>();
</script>

<style scoped lang="scss">
.message-count {
  --bg-base-color: var(--background1);
  --bg-opacity: 0.05;

  &.isUnread {
    background: var(--failure) !important;

    span {
      color: white;
    }
  }

  display: flex;
  align-items: center;
  border-radius: 12px;
  padding: 1px 6px 1px 6px;
  height: 16px;
  width: min-content;
  min-width: 19px;
  margin-left: 4px;
  justify-content: center;

  span {
    color: var(--text);
    font-family: Roboto;
    font-size: 12px;
    font-weight: 700;
    letter-spacing: 0em;
    text-align: center;
    text-wrap: nowrap;
  }
}
</style>
